import { ICartRepository } from '@/application/ports/ICartRepository';

export class RemoveFromCartUseCase {
  constructor(private readonly cart: ICartRepository) {}

  execute(id: string): void {
    this.cart.removeItem(id);
  }
}